<?php

namespace InetStudio\AdminPanel\Models\Auth;

use App\User;
use Illuminate\Database\Eloquent\Model;

class UserActivationModel extends Model
{
    const UPDATED_AT = null;

    protected $primaryKey = 'token';

    /**
     * Связанная с моделью таблица.
     *
     * @var string
     */
    protected $table = 'users_activations';

    /**
     * Атрибуты, для которых разрешено массовое назначение.
     *
     * @var array
     */
    protected $fillable = [
        'user_id', 'token',
    ];

    /**
     * Атрибуты, которые должны быть преобразованы в даты.
     *
     * @var array
     */
    protected $dates = [
        'created_at',
    ];

    /**
     * Обратное отношение с моделью пользователя.
     *
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
